Skip to main content
GET
/
v1
/
compute
/
nodes
/
{computePassportId}
/
health
Typescript (SDK)
import { RaijinLabsLucidAi } from "raijin-labs-lucid-ai";

const raijinLabsLucidAi = new RaijinLabsLucidAi();

async function run() {
  const result = await raijinLabsLucidAi.compute.getNodeHealth({
    computePassportId: "<id>",
  });

  console.log(result);
}

run();
{
  "success": true,
  "state": {}
}

Documentation Index

Fetch the complete documentation index at: https://docs.lucid.foundation/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Lucid API key (lk_live_... or lk_test_...)

Path Parameters

computePassportId
string
required

Compute node passport identifier

Response

OK

success
boolean
state
object